<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-booking-services-heading">Create or edit a Booking Services</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_shopCategoryId">Shop Category Id</label>
                    <input type="text" class="form-control" name="shopCategoryId" id="field_shopCategoryId"
                           formControlName="shopCategoryId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_shopId">Shop Id</label>
                    <input type="text" class="form-control" name="shopId" id="field_shopId"
                           formControlName="shopId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_remark">Remark</label>
                    <input type="text" class="form-control" name="remark" id="field_remark"
                           formControlName="remark"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_isActive">Is Active</label>
                    <input type="checkbox" class="form-control" name="isActive" id="field_isActive"
                           formControlName="isActive"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_serviceName">Service Name</label>
                    <input type="text" class="form-control" name="serviceName" id="field_serviceName"
                           formControlName="serviceName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_serviceId">Service Id</label>
                    <input type="text" class="form-control" name="serviceId" id="field_serviceId"
                           formControlName="serviceId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_fromLatitude">From Latitude</label>
                    <input type="text" class="form-control" name="fromLatitude" id="field_fromLatitude"
                           formControlName="fromLatitude"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_fromLongitude">From Longitude</label>
                    <input type="text" class="form-control" name="fromLongitude" id="field_fromLongitude"
                           formControlName="fromLongitude"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_toLatitude">To Latitude</label>
                    <input type="text" class="form-control" name="toLatitude" id="field_toLatitude"
                           formControlName="toLatitude"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_toLongitude">To Longitude</label>
                    <input type="text" class="form-control" name="toLongitude" id="field_toLongitude"
                           formControlName="toLongitude"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_createdBy">Created By</label>
                    <div class="d-flex">
                        <input id="field_createdBy" type="datetime-local" class="form-control" name="createdBy" formControlName="createdBy" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_updatedBy">Updated By</label>
                    <div class="d-flex">
                        <input id="field_updatedBy" type="datetime-local" class="form-control" name="updatedBy" formControlName="updatedBy" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_createdAt">Created At</label>
                    <div class="d-flex">
                        <input id="field_createdAt" type="datetime-local" class="form-control" name="createdAt" formControlName="createdAt" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_updatedAt">Updated At</label>
                    <div class="d-flex">
                        <input id="field_updatedAt" type="datetime-local" class="form-control" name="updatedAt" formControlName="updatedAt" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_bookingStatusId">Booking Status Id</label>
                    <select class="form-control" id="field_bookingStatusId" name="bookingStatusId" formControlName="bookingStatusId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="bookingStatusOption.id === editForm.get('bookingStatusId')!.value?.id ? editForm.get('bookingStatusId')!.value : bookingStatusOption" *ngFor="let bookingStatusOption of bookingstatusids; trackBy: trackById">{{ bookingStatusOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_booking">Booking</label>
                    <select class="form-control" id="field_booking" name="booking" formControlName="booking">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="bookingOption.id === editForm.get('booking')!.value?.id ? editForm.get('booking')!.value : bookingOption" *ngFor="let bookingOption of bookings; trackBy: trackById">{{ bookingOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
